# Class CIM_UnsignedCredential
extends CIM_Credential

A UnsignedCredential represents an unsigned public key credential. Services accept the public key as authentic because of a direct trust relationship, rather than via a third-party Certificate Authority.

### Table of Contents
Hierarchy
Direct Known Subclasses
Class Qualifiers
Class Properties
Class Methods

## Class Hierarchy

CIM_ManagedElement
|
+--CIM_Credential
|
+--CIM_UnsignedCredential

## Direct Known Subclasses

## Class Qualifiers

Name | Data Type | Value
--- | --- | ---
Description | string | A UnsignedCredential represents an unsigned public key credential. Services accept the public key as authentic because of a direct trust relationship, rather than via a third-party Certificate Authority.
UMLPackagePath | string | CIM::User::PublicKey
Version | string | 2.29.0

## Class Properties

### Local Class Properties

Name | Data Type | Default Value | Qualifiers
--- | --- | --- | ---
Name | Data Type | Value
InstanceID | string |

Description

string

InstanceID is an optional property that may be used to opaquely and uniquely identify an instance of this class within the scope of the instantiating Namespace. Various subclasses of this class may override this property to make it required, or a key. Such subclasses may also modify the preferred algorithms for ensuring uniqueness that are defined below. To ensure uniqueness within the NameSpace, the value of InstanceID should be constructed using the following "preferred" algorithm: <OrgID>:<LocalID> Where <OrgID> and <LocalID> are separated by a colon (:), and where <OrgID> must include a copyrighted, trademarked, or otherwise unique name that is owned by the business entity that is creating or defining the InstanceID or that is a registered ID assigned to the business entity by a recognized global authority. (This requirement is similar to the <Schema Name>_<Class Name> structure of Schema class names.) In addition, to ensure uniqueness, <OrgID> must not contain a colon (:). When using this algorithm, the first colon to appear in InstanceID must appear between <OrgID> and <LocalID>. <LocalID> is chosen by the business entity and should not be reused to identify different underlying (real-world) elements. If not null and the above "preferred" algorithm is not used, the defining entity must assure that the resulting InstanceID is not reused across any InstanceIDs produced by this or other providers for the NameSpace of this instance. If not set to null for DMTF-defined instances, the "preferred" algorithm must be used with the <OrgID> set to CIM.

Key | boolean | true
Override | string | InstanceID
OtherPublicKeyEncoding | string |
Description | string | A string that describes the encoding of PublicKey when PublicKeyEncoding is set to 1 ("Other"). This property shall be set to null when PublicKeyEncoding is any value other than 1.
ModelCorrespondence | string | CIM_UnsignedCredential.PublicKeyEncoding, CIM_UnsignedCredential.PublicKey
PeerIdentity | string |
Description | string | The Identity of the Peer with whom a direct trust relationship exists. The public key may be used for security functions with the Peer.
MaxLen | uint32 | 256
ModelCorrespondence | string | CIM_UnsignedCredential.PeerIdentityType
PeerIdentityType | uint16 |
Description | string | PeerIdentityType is used to describe the type of the PeerIdentity. The currently defined values are used for IKE identities.
ModelCorrespondence | string | CIM_UnsignedCredential.PeerIdentity
ValueMap | string | 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11
Values | string | Other, IPV4_ADDR, FQDN, USER_FQDN, IPV4_ADDR_SUBNET, IPV6_ADDR, IPV6_ADDR_SUBNET, IPV4_ADDR_RANGE, IPV6_ADDR_RANGE, DER_ASN1_DN, DER_ASN1_GN, KEY_ID
PublicKeyEncoding | uint16 |
Description | string | An enumeration defining the encoding in PublicKey. ASN.1 DER: encoded according to the Abstract Syntax Notation One (ASN.1) Distinguished Encoding Rules (DER), defined in the ITU-T X.680 series of standards. SSH mpint: encoded according to the mpint format defined in IETF RFC4251 for representation of multiple-precision integers in SSH and other network protocols.
ModelCorrespondence | string | CIM_UnsignedCredential.PublicKey, CIM_UnsignedCredential.OtherPublicKeyEncoding
ValueMap | string | 0, 1, 2, 3, ..
Values | string | Unknown, Other, ASN.1 DER, SSH mpint, DMTF Reserved
PublicKey | string[] |
Description | string | The public key, encoded as indicated by PublicKeyEncoding.
ModelCorrespondence | string | CIM_UnsignedCredential.OtherPublicKeyEncoding, CIM_UnsignedCredential.PublicKeyEncoding
OctetString | boolean | true

### Inherited Properties

Name | Data Type | Class Origin
--- | --- | ---
Caption | string | CIM_ManagedElement
Description | string | CIM_ManagedElement
ElementName | string | CIM_ManagedElement
Expires | datetime | CIM_Credential
Issued | datetime | CIM_Credential

## Class Methods